# karma-coverage-allsources

Lifted from [karma-coverage-allsources](https://npmjs.com/package/karma-coverage-allsources) since it has no public repo.

## JetBrains Fix

This version of karma-coverage-allsources (not contained in v0.0.4) contains a fix for use with [Jetbrains' Karma Plugin](https://github.com/JetBrains/intellij-plugins/tree/master/js-karma).

## Rationale

https://github.com/karma-runner/karma-coverage/issues/125

## Example `karma.conf.js`

**Important: `coverage-allsources` must come before coverage.**

    reporters: ['progress', 'coverage-allsources', 'coverage'],
    coverageReporter: {
      dir: 'docs/coverage',
      include: 'src/**/!(*.spec).js',
      exclude: 'src/main.js',
      reporters: [
        { type: 'html', subdir: 'report-html' },
        { type: 'clover', subdir: '.', file: 'clover.xml' }
      ]
    }

## License

MIT
